.activity-entry {
  position: absolute;
  display: flex;
  align-items: center;



  will-change: opacity, transform;

  // fade-out styles
  opacity: 0;
  transform: translateY(40px) scale(0.95);
  transition: opacity 100ms ease-out, transform 100ms ease-out;

  &.active {
    // fade-in styles
    opacity: 1;
    transform: translateY(0);
    transition: opacity 400ms ease-in, transform 300ms ease-in;
  }

  .activity-text,
  .activity-date {
    color: #000;
    font-size: rem(14px);
  }

  .activity-text {
    margin-left: 1rem;
  }

  .activity-date {
    margin-left: 1rem;
    opacity: 0.5;
  }

  .activity-subject-avatar {
    position: relative;
    z-index: 1;

    // styles for plus-icon overlay in case of "joined a trip" activity
    .new-trip-mate::before,
    .new-trip-mate::after {
      content: '';
      position: absolute;
      right: 0;
      top: 0;
      z-index: 2;
      display: block;
      width: 13px;
      height: 13px;
      background-color: transparent;
      background-repeat: no-repeat;
      background-position: center center;
      border-radius: 50%;
    }

    .new-trip-mate::before {
      background-image: linear-gradient(to left, orange, red);
      background-size: cover;
    }

    .new-trip-mate::after {
      background-image: url('/assets/image/profile.svg');
      background-size: 9px;
    }
  }
}